package com.book.push.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;

import static com.book.push.config.RedisProperties.PREFIX;


/**
 * created in 2021/8/19
 * Project: book-store
 * redis配置
 *
 * @author win7
 */
@Data
@ConfigurationProperties(PREFIX)
public class RedisProperties {
    public static final String PREFIX = "redis";
    /**
     * 主机地址
     */
    private String host;
    /**
     * 端口号
     */
    private int port;
    /**
     * 密码
     */
    private String password;
    /**
     * 超时时间
     */
    private int timeout;

    /**
     * 数据库
     */
    private int database;
    /**
     * 最大活跃数
     */
    private Integer maxActive;
    /**
     * 最大空闲连接数
     */
    private Integer maxIdle;
    /**
     * 最小的空闲链接数
     */
    private Integer minIdle;
    /**
     * 等待可用连接的最大时间
     */
    private Integer maxWaitMillis;



}
