package com.book.push.controller;

/**
 * created in 2021/8/17
 * Project: book-store
 *
 * @author win7
 */

import com.book.push.cons.UrlCons;
import com.book.push.dao.pojo.AdminConfig;
import com.book.push.service.dao.AdminConfigService;
import com.book.push.service.wx.WxThirdPartService;
import lombok.AllArgsConstructor;
import me.chanjar.weixin.common.api.WxConsts;
import me.chanjar.weixin.open.api.WxOpenService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

/**
 * @author
 */
@AllArgsConstructor
@RestController
@RequestMapping("/index")
public class BookIndexController {
    @Autowired
    private AdminConfigService adminConfigService;
    @Autowired
    private WxThirdPartService thirdPartService;


    /**
     * //FIXME
     * <p>
     * 重定向urL，需要改
     */


    @GetMapping("/{state}")
    public String BookMain(HttpServletRequest request, @PathVariable String state) {

        StringBuffer url = request.getRequestURL();
        String contextUrl = url.delete(url.length() - request.getRequestURI().length(), url.length()).toString();
        String[] split = contextUrl.split("\\.");
        String appid = split[0];


        AdminConfig adminConfig = adminConfigService.selectByAppid(appid);
        String redirect_url = String.format(UrlCons.OAUTH2_REDIRECT_URL_LOGIN,contextUrl).replace("{appid}", appid);


        Integer platformId = adminConfig.getPlatformId();
        WxOpenService wxOpenService = thirdPartService.getWxOpenServiceByPlatFormId(platformId);
        String auto2Url = wxOpenService.getWxOpenComponentService().getWxMpServiceByAppid(appid).getOAuth2Service()
                .buildAuthorizationUrl(redirect_url, WxConsts.OAuth2Scope.SNSAPI_BASE, state + "_" + adminConfig.getAdminId());
        // 静默授权




        return "redirect:" + auto2Url;


    }


}
